<?php

return [

    /**
     * Provider.
     */
    'provider'  => '3lineas',

    /*
     * Package.
     */
    'package'   => 'porfolio',

    /*
     * Modules.
     */
    'modules'   => ['porfolio', 
'category'],

    'porfolio'       => [
        'model' => [
            'model'                 => \3lineas\Porfolio\Models\Porfolio::class,
            'table'                 => 'porfolios',
            'presenter'             => \3lineas\Porfolio\Repositories\Presenter\PorfolioPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['Imagen',  'Nombre',  'Description',  'status',  'category_id'],
            'translatables'         => [],
            'upload_folder'         => 'porfolio/porfolio',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => '3lineas',
            'package'   => 'Porfolio',
            'module'    => 'Porfolio',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \3lineas\Porfolio\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \3lineas\Porfolio\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'porfolio/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => '3lineas',
            'package'   => 'Porfolio',
            'module'    => 'Category',
        ],

    ],
];
