<?php

namespace 3lineas\Porfolio\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Porfolio policy
        '3lineas\Porfolio\Models\Porfolio' => \3lineas\Porfolio\Policies\PorfolioPolicy::class,
// Bind Category policy
        '3lineas\Porfolio\Models\Category' => \3lineas\Porfolio\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
