<?php

namespace 3lineas\Porfolio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PorfolioTransformer extends TransformerAbstract
{
    public function transform(\3lineas\Porfolio\Models\Porfolio $porfolio)
    {
        return [
            'id'                => $porfolio->getRouteKey(),
            'key'               => [
                'public'    => $porfolio->getPublicKey(),
                'route'     => $porfolio->getRouteKey(),
            ], 
            'Imagen'            => $porfolio->Imagen,
            'Nombre'            => $porfolio->Nombre,
            'Description'       => $porfolio->Description,
            'status'            => $porfolio->status,
            'category_id'       => $porfolio->category_id,
            'url'               => [
                'public'    => trans_url('porfolio/'.$porfolio->getPublicKey()),
                'user'      => guard_url('porfolio/porfolio/'.$porfolio->getRouteKey()),
            ], 
            'status'            => trans('app.'.$porfolio->status),
            'created_at'        => format_date($porfolio->created_at),
            'updated_at'        => format_date($porfolio->updated_at),
        ];
    }
}